# Common Error Codes

When the HTTP status code returned is not 200, the API call failed. The Code field in Error indicates the error code. The following table lists the common error codes that all actions can return.

<table><thead><tr><th width="173.31770833333331">HTTP Status Code</th><th>Error Code</th><th>Description</th></tr></thead><tbody><tr><td>500</td><td>INTERNAL_SERVER_ERROR</td><td>Internal server error.</td></tr><tr><td>503</td><td>SERVICE_TEMPORARY_UNAVAILABLE</td><td>Service unavailable. Operate later.</td></tr><tr><td>503</td><td>REQUEST_TIMED_OUT</td><td>Request timed out.</td></tr><tr><td>401</td><td>AUTHFAILURE_INVALID_AUTHORIZATION</td><td>Invalid request header authorization.</td></tr><tr><td>401</td><td>AUTHFAILURE_SIGNATURE_FAILURE</td><td>Signature error. See <a href="/pages/HSqD9k7NyroMIKm9OcDP">Signature Algorithm v2</a> for details.</td></tr><tr><td>401</td><td>AUTHFAILURE_UNAUTHORIZED_OPERATION</td><td>The request does not have authorization. Please ensure API exists and has access permission.</td></tr><tr><td>401</td><td>AUTHFAILURE_SIGNATURE_EXPIRED</td><td>Signature expired. Timestamp and server time must not differ by more than five minutes.</td></tr><tr><td>400</td><td>MISSING_PARAMETER</td><td>A parameter is missing.</td></tr><tr><td>400</td><td>INVALID_PARAMETER_TYPE</td><td>Invalid parameter type.</td></tr><tr><td>400</td><td>INVALID_PARAMETER_EXCEED_MAXIMUM</td><td>Parameter upper limit exceeded.</td></tr><tr><td>400</td><td>INVALID_PARAMETER_LESS_MINIMUM</td><td>Parameter lower limit exceeded.</td></tr><tr><td>400</td><td>INVALID_PARAMETER_EXCEED_LENGTH</td><td>Parameter upper length exceeded.</td></tr><tr><td>400</td><td>INVALID_PARAMETER_LESS_LENGTH</td><td>Parameter lower length exceeded.</td></tr><tr><td>400</td><td>INVALID_PARAMETER_PATTERN_ERROR</td><td>Invalid parameter pattern.</td></tr><tr><td>400</td><td>INVALID_PARAMETER_DATE_FORMAT_ERROR</td><td>Invalid parameter date pattern.</td></tr><tr><td>400</td><td>INVALID_PARAMETER_VALUE</td><td>Invalid parameter value.</td></tr><tr><td>400</td><td>INVALID_TAG_KEY_DUPLICATE</td><td>Duplicate tags specified when creating resources.</td></tr><tr><td>403</td><td>OPERATION_FAILED_FOR_RECYCLE_RESOURCE</td><td>Recycled resource operation failed.</td></tr><tr><td>404</td><td>OPERATION_FAILED_RESOURCE_GROUP_NOT_FOUND</td><td>Resource group not found. Operation failed.</td></tr><tr><td>404</td><td>OPERATION_FAILED_RESOURCE_NOT_FOUND</td><td>Resources not found. Operation failed.</td></tr><tr><td>400</td><td>INVALID_QUOTA_EXCEED</td><td>Quota limit exceeded.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
